
GIS - Support #13763

Gisaf not responding

09/03/2022 15:45 - Giulio Di Anastasio

Status: Resolved Start date: 09/03/2022

Priority: Normal Due date:  

Assignee: Philippe May % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Dear Philippe,

I see that Gisaf is not responding right now, it is not connecting and the list of layer is also weird (see screenshot 1 attached). This

morning also it did not work, but in a different way: the list of layer was always loading but not showing... I could not take a

screenshot because I was not in the office on someone else's laptop...

Sorry but I don't really know how better to explain the issue...

History

#1 - 11/03/2022 12:39 - Philippe May

Just restarted the Gisaf processes and the web site is responding normally.

Investigating now.

#2 - 11/03/2022 13:01 - Philippe May

- Assignee set to Philippe May

- Status changed from New to Resolved

[@Giulio: you can skip below, these are technical notes]

Get errors like this in the logs:

Mar 03 10:36:50 gisaf2 python[789]: graphql.error.located_error.GraphQLLocatedError: This connection is alread

y released permanently.

 

Mar 03 10:50:54 gisaf2 python[789]: graphql.error.located_error.GraphQLLocatedError: connection was closed in 

the middle of operation

 

 Mar 03 10:51:33 gisaf2 python[789]: asyncpg.exceptions._base.InterfaceError: cannot perform operation: anothe

r operation is in progress

 

So, it's quite surely a problem with the connection to the database which is closed (released).

It's not easy to know for sure what's the root cause: which other operation is in progress?

One possibility is with ogcapi (see #10948), which is enabled but not fully implemented as async, thus there's a risk that the threads are blocked.

For the time being, i have deactivated ogcapi since it's a feature i developed mostly for... collaborative work with other services and mostly TDC 

grin.png  .
https://redmine.auroville.org.in/issues/10948


#3 - 11/03/2022 13:03 - Philippe May

Note to Giulio: i didn't receive a mail for this ticket because i was not the assignee.
